Package ru.bitel.bgbilling.modules.voice.common.event

# Class VoiceDeviceModifiedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<VoiceDevice>
ru.bitel.bgbilling.modules.voice.common.event.VoiceDeviceModifiedEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class VoiceDeviceModifiedEvent
    extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<VoiceDevice>

Класс-событие изменения справочника устройств модуля Voice.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

  `newItem, oldItem`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceDeviceModifiedEvent()` |
  `VoiceDeviceModifiedEvent​(int moduleId, int userId, VoiceDevice oldItem, VoiceDevice newItem)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `VoiceDevice` | `getNewDevice()` |
  `VoiceDevice` | `getOldDevice()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

  `getNewItem, getOldItem`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VoiceDeviceModifiedEvent

    public VoiceDeviceModifiedEvent()

  - ### VoiceDeviceModifiedEvent

    public VoiceDeviceModifiedEvent​(int moduleId, int userId, VoiceDevice oldItem, VoiceDevice newItem)

- ## Method Details

  - ### getOldDevice

    public VoiceDevice getOldDevice()

  - ### getNewDevice

    public VoiceDevice getNewDevice()